Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2014-3423

Published: 8 May 2014

lisp/net/browse-url.el in GNU Emacs 24.3 and earlier allows local users to overwrite arbitrary files via a symlink attack on a /tmp/Mosaic.##### temporary file.

Notes

AuthorNote
seth-arnold
Mosiac hard-coded this pid file name, the alternative is dropping
support for Mosiac entirely. Don't be hasty.
leosilva
from emacs, they added this line only http://lists.gnu.org/archive/html/emacs-diffs/2014-05/msg00057.html
not-fixed

Priority

Negligible

Status

Package Release Status
emacs-snapshot
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

lucid Ignored
(end of life)
precise Does not exist

quantal Does not exist

saucy Does not exist

trusty Does not exist

upstream Needs triage

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

emacs22
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

lucid Ignored
(end of life)
precise Does not exist

quantal Does not exist

saucy Does not exist

trusty Does not exist

upstream Needs triage

utopic Does not exist

vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

emacs23
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

lucid Ignored
(end of life)
precise Ignored
(end of life)
quantal Ignored
(end of life)
saucy Ignored
(end of life)
trusty Does not exist
(trusty was needed)
upstream Needs triage

utopic Ignored
(end of life)
vivid Does not exist

wily Does not exist

xenial Does not exist

yakkety Does not exist

zesty Does not exist

This vulnerability is mitigated in part by the use of hardlink restrictions in Ubuntu. This vulnerability is mitigated in part by the use of symlink restrictions in Ubuntu.
emacs24
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

disco Does not exist

trusty Does not exist
(trusty was needed)
upstream
Released (24.3+1-4)
xenial Not vulnerable
(24.5+1-6ubuntu1)
zesty Not vulnerable
(24.5+1-8ubuntu2)
This vulnerability is mitigated in part by the use of hardlink restrictions in Ubuntu. This vulnerability is mitigated in part by the use of symlink restrictions in Ubuntu.
emacs25
Launchpad, Ubuntu, Debian
artful Not vulnerable

bionic Not vulnerable

cosmic Does not exist

disco Does not exist

trusty Does not exist

upstream Not vulnerable

xenial Does not exist

zesty Not vulnerable

xemacs21
Launchpad, Ubuntu, Debian
artful Not vulnerable
(code-not-present)
bionic Not vulnerable
(code-not-present)
cosmic Does not exist

disco Does not exist

lucid Ignored
(end of life)
quantal Not vulnerable
(code-not-present)
saucy Not vulnerable
(code-not-present)
trusty Does not exist
(trusty was not-affected [code-not-present])
upstream Needs triage

utopic Not vulnerable
(code-not-present)
vivid Not vulnerable
(code-not-present)
wily Not vulnerable
(code-not-present)
xenial Not vulnerable
(code-not-present)
yakkety Not vulnerable
(code-not-present)
zesty Not vulnerable
(code-not-present)
precise Not vulnerable
(code-not-present)
xemacs21-packages
Launchpad, Ubuntu, Debian
artful Ignored
(end of life)
bionic Not vulnerable
(code not present)
cosmic Does not exist

disco Does not exist

lucid Ignored
(end of life)
quantal Ignored
(end of life)
saucy Ignored
(end of life)
trusty Does not exist
(trusty was needed)
upstream Needs triage

utopic Ignored
(end of life)
vivid Ignored
(end of life)
wily Ignored
(end of life)
xenial Not vulnerable
(code not present)
yakkety Ignored
(end of life)
zesty Ignored
(end of life)
precise Ignored
(end of life)